require 'spec_helper'

describe Yourapi::Client do
  let(:user_id) { '1234' }
  let(:response) { { 'user' => { 'id' => user_id, 'name' => 'Some name' } } }
  let(:json_response) { JSON.dump(response) }

  describe '#authenticate' do
    let(:client) { Yourapi::Client.new(user_id) }
    let(:endpoint) { "#{Yourapi.configuration.base_uri}/v2/users/me" }

    before { stub_request(:any, endpoint).to_return(body: json_response, headers: { content_type: 'application/json' }) }

    it { expect { client.authenticate }.not_to raise_error }
    it { expect(client.authenticate).to eq(response['user']) }
  end
end
